---
title: Remotely debugging Chrome Desktop
slug: Tools/Remote_Debugging/Chrome_Desktop
---
<div>{{ToolsSidebar}}</div><p>How to connect the <a href="/en-US/docs/Tools">Firefox Developer Tools</a> to the <a href="/en-US/docs/Glossary/Google_Chrome">Google Chrome</a> browser running on the desktop.</p>

<div class="note">
<p>Note that our support for this depends on the Valence add-on, which bridges the debugging protocol used by Firefox and that used by Chrome. Support for Valence is still experimental.</p>
</div>

<p>This guide is split into two parts: the first part, "Prerequisites" covers stuff you only need to do once, while the second part, "Connecting", covers stuff you need to do each time you connect the device.</p>

<h2 id="Prerequisites">Prerequisites</h2>

<p>You'll need:</p>

<ul>
 <li>Firefox version 35 or higher, with the <a href="/en-US/docs/Tools/Valence">Valence</a> add-on (formerly called the Firefox Tools Adapter) installed. If you're using <a href="/en-US/Firefox/Developer_Edition">Firefox Developer Edition</a>, then Valence is already installed. Otherwise, <a href="https://ftp.mozilla.org/pub/mozilla.org/labs/fxdt-adapters/">download the latest version of Valence</a> and install it in Firefox by opening the XPI file.</li>
 <li>Chrome version 37 or higher.</li>
</ul>

<h2 id="Connecting">Connecting</h2>

<p>{{EmbedYouTube("g5p9__OiaMY")}}</p>

<h3 id="Running_Chrome">Running Chrome</h3>

<p>To enable remote debugging on Chrome Desktop you need to start it with the following special flag: <code>--remote-debugging-port=9222</code>. See this guide on <a class="external external-icon" href="http://www.chromium.org/developers/how-tos/run-chromium-with-flags">running Chrome with flags</a>.</p>

<p>There are some other flags that can be helpful. By running with <code>--no-first-run</code>, <code>--no-default-browser-check</code>, and <code>--user-data-dir</code> you can run Chrome alongside another Chrome instance.</p>

<p>For example, on OS X you could run the following command to start a debuggable copy of Chrome that's separate from any other instances you might have running:</p>

<pre class="language-html"><code class="language-html">/Applications/Google\ Chrome.app/Contents/MacOS/Google\ Chrome --remote-debugging-port=9222 --no-first-run --no-default-browser-check --user-data-dir=$(mktemp -d -t 'chrome-remote_data_dir')</code></pre>

<h3 id="Connecting_using_WebIDE">Connecting using WebIDE</h3>

<p>In Firefox, <a href="/en-US/docs/Tools/WebIDE#Opening_WebIDE">open WebIDE</a>. In WebIDE, click "Select Runtime", and select "Chrome Desktop" from the dropdown menu.</p>

<p>Now click the "Open App" menu in WebIDE. You'll see a list of all the tabs open on the device. Click a tab to attach the developer tools to it. Most of the Firefox Developer Tools should now be available. The following tools are not yet supported:</p>

<ul>
 <li><a href="/en-US/docs/Tools/Performance">Performance</a></li>
 <li>Timeline</li>
 <li><a href="/en-US/docs/Tools/Network_Monitor">Network</a></li>
 <li><a href="/en-US/docs/Tools/Storage_Inspector">Storage</a></li>
</ul>


